package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 可靠性停电记录对象 pdm_stop_records
 *
 * @author ruoyi
 * @date 2024-12-11
 */
public class PdmStopRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 事件序号 */
    @Excel(name = "事件序号")
    private String stopNo;

    /** 线路ID */
    @Excel(name = "线路ID")
    private String lineId;

    /** 线路名称 */
    @Excel(name = "线路名称")
    private String lineName;

    /** 主分支id */
    @Excel(name = "主分支id")
    private String branchId;

    /** 主分支名称 */
    @Excel(name = "主分支名称")
    private String branchName;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String dataStatus;

    /** 推送状态 */
    @Excel(name = "推送状态")
    private String pushStatus;

    /** 是否可维修 */
    @Excel(name = "是否可维修")
    private String repairFlag;

    /** 事件类型 */
    @Excel(name = "事件类型")
    private String eventType;

    /** 停电起始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "停电起始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 停电终止时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "停电终止时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 可靠性停电时户数 */
    @Excel(name = "可靠性停电时户数")
    private BigDecimal stopNum;

    /** 停电性质-研判 */
    @Excel(name = "停电性质-研判")
    private String stopType;

    /** 市公司ID */
    @Excel(name = "市公司ID")
    private String cityCompanyId;

    /** 市公司名称 */
    @Excel(name = "市公司名称")
    private String cityCompanyName;

    /** 县公司ID */
    @Excel(name = "县公司ID")
    private String countyCompanyId;

    /** 县公司名称 */
    @Excel(name = "县公司名称")
    private String countyCompanyName;

    /** 供电所名称 */
    @Excel(name = "供电所名称")
    private String powerStationId;

    /** 供电所名称 */
    @Excel(name = "供电所名称")
    private String powerStationName;

    /** 单位编码 */
    @Excel(name = "单位编码")
    private String companyNo;

    /** 站点ID */
    @Excel(name = "站点ID")
    private String siteId;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String siteName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStopNo(String stopNo)
    {
        this.stopNo = stopNo;
    }

    public String getStopNo()
    {
        return stopNo;
    }
    public void setLineId(String lineId)
    {
        this.lineId = lineId;
    }

    public String getLineId()
    {
        return lineId;
    }
    public void setLineName(String lineName)
    {
        this.lineName = lineName;
    }

    public String getLineName()
    {
        return lineName;
    }
    public void setBranchId(String branchId)
    {
        this.branchId = branchId;
    }

    public String getBranchId()
    {
        return branchId;
    }
    public void setBranchName(String branchName)
    {
        this.branchName = branchName;
    }

    public String getBranchName()
    {
        return branchName;
    }
    public void setDataStatus(String dataStatus)
    {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus()
    {
        return dataStatus;
    }
    public void setPushStatus(String pushStatus)
    {
        this.pushStatus = pushStatus;
    }

    public String getPushStatus()
    {
        return pushStatus;
    }
    public void setRepairFlag(String repairFlag)
    {
        this.repairFlag = repairFlag;
    }

    public String getRepairFlag()
    {
        return repairFlag;
    }
    public void setEventType(String eventType)
    {
        this.eventType = eventType;
    }

    public String getEventType()
    {
        return eventType;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setEndDate(Date endDate)
    {
        this.endDate = endDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }
    public void setStopNum(BigDecimal stopNum)
    {
        this.stopNum = stopNum;
    }

    public BigDecimal getStopNum()
    {
        return stopNum;
    }
    public void setStopType(String stopType)
    {
        this.stopType = stopType;
    }

    public String getStopType()
    {
        return stopType;
    }
    public void setCityCompanyId(String cityCompanyId)
    {
        this.cityCompanyId = cityCompanyId;
    }

    public String getCityCompanyId()
    {
        return cityCompanyId;
    }
    public void setCityCompanyName(String cityCompanyName)
    {
        this.cityCompanyName = cityCompanyName;
    }

    public String getCityCompanyName()
    {
        return cityCompanyName;
    }
    public void setCountyCompanyId(String countyCompanyId)
    {
        this.countyCompanyId = countyCompanyId;
    }

    public String getCountyCompanyId()
    {
        return countyCompanyId;
    }
    public void setCountyCompanyName(String countyCompanyName)
    {
        this.countyCompanyName = countyCompanyName;
    }

    public String getCountyCompanyName()
    {
        return countyCompanyName;
    }
    public void setPowerStationId(String powerStationId)
    {
        this.powerStationId = powerStationId;
    }

    public String getPowerStationId()
    {
        return powerStationId;
    }
    public void setPowerStationName(String powerStationName)
    {
        this.powerStationName = powerStationName;
    }

    public String getPowerStationName()
    {
        return powerStationName;
    }
    public void setCompanyNo(String companyNo)
    {
        this.companyNo = companyNo;
    }

    public String getCompanyNo()
    {
        return companyNo;
    }
    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }
    public void setSiteName(String siteName)
    {
        this.siteName = siteName;
    }

    public String getSiteName()
    {
        return siteName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stopNo", getStopNo())
            .append("lineId", getLineId())
            .append("lineName", getLineName())
            .append("branchId", getBranchId())
            .append("branchName", getBranchName())
            .append("dataStatus", getDataStatus())
            .append("pushStatus", getPushStatus())
            .append("repairFlag", getRepairFlag())
            .append("eventType", getEventType())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .append("stopNum", getStopNum())
            .append("stopType", getStopType())
            .append("cityCompanyId", getCityCompanyId())
            .append("cityCompanyName", getCityCompanyName())
            .append("countyCompanyId", getCountyCompanyId())
            .append("countyCompanyName", getCountyCompanyName())
            .append("powerStationId", getPowerStationId())
            .append("powerStationName", getPowerStationName())
            .append("companyNo", getCompanyNo())
            .append("siteId", getSiteId())
            .append("siteName", getSiteName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
